Subject: Re: Job | Tech Support Remote Screening
From: Rohit Sharma <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jan 2021 17:01:12 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

3680 Applicants

View All

Rohit Sharma
I'm 25 and I?m a true travel junkie! In addition to having a continent ticked off in the bucket list, I hold equal fervor on the workfront. My association with Sitel Group added a feather while I was handling both English and French speaking clients across Canada. Armed with a Batchelors in Political Science and 2 years in the field, I wish my experience shines through Operations Management, where I believe to achieve excellence. And it?s no wonder that I believe a multi- skilled person is like seasoned wine, with time they only get better! In spare time, I enjoy reading about Management and Psychology and most importantly riding motorcycles. Specialities: Operations Management, Service Delivery, Order Management, Call Centre Management, French Language, Training and Mentoring.

Shortlist

Reject

Current Designation French Executive
Current Company Sitel
Notice Period 1 Months
Previous Designation French Executive
Previous Company Sitel India Pvt Ltd

Contact Details
Mobile:

Exp
2 Yrs 11 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Noida, Gurgaon, Delhi / NCR
Education
B.A
Madurai Kamaraj University (MKU)
Key Skills
GOOD LEARNER, French Language Specialist, French Language Expert, French Analyst, French, Call Center, Customer Service, International Voice, Customer Support, Customer Care, KPO, Technical Voice Process, Night Shift, Inbound Process, French Associate

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem